#include <iostream>
#include <vector> 

using namespace std;

int main()
{
    int n;
    int b=0;
    int m,a;
    cin>>n;
    vector <string> r(n);
    for (int i=0; i<n; i++){
        cin>>m;
        b=0;
        vector <int> v1(m);
        vector <int> v2(m);
        for (int j=0; j<m; j++){
            cin>>a;
            v1[j]=a;
        }
        for (int j=0; j<m; j++){
            cin>>a;
            v2[j]=a;
        }
    }
    
    for (int i=0; i<n; i++){
        cout<<"DA"<<endl;
    }

    return 0;
}